﻿/*
 * 以九九乘法表示範矩形陣列的使用
 * 3/12/2007
 */

using System;

namespace Array2D
{
    class Program
    {
        static void Main(string[] args)
        {
            const int N_ROW = 9;
            const int N_COL = 9;
            int[,] mTable = new int[N_ROW, N_COL];
            Console.WriteLine(
                "mTable 是{0} X {1} 的{2} 維陣列\n", N_ROW,   
                 N_COL, mTable.Rank);      
            for (int i = 0; i < N_ROW; i++)
            {
                for (int j = 0; j < N_COL; j++)
                {
                    mTable[i, j] = (i+1)*(j+1);
                }
            }
            Console.WriteLine("以下為九九乘法表\n");
            for (int i = 0; i < N_ROW; i++) 
            {
                for (int j = 0; j < N_COL; j++)
                {
                    Console.WriteLine("{0}*{1}={2} \t",
                                      (i+1), (j+1), mTable[i, j]);
                }
                Console.WriteLine();
            }
        }
    }
}
