﻿/* 
 * 以下三角矩陣
 * 
 * / x         \
 * | x x       |
 * | x x x     |
 * | x x x x   |
 * \ x x x x x /
 * 
 * 示範不規則二維陣列之使用
 * 
 * 9/29/2008
 */

using System;
namespace Array2DA
{
    class Program
    {
        static void Main(string[] args)
        {
            const int N_ROW = 5;
            char[][] lowerTriangularMatrix = new char[N_ROW][];
            for (int i = 0; i < N_ROW; i++)
            {
                lowerTriangularMatrix[i] = new char[i + 1];
            }
            for (int i = 0; i < N_ROW; i++)
            {
                for (int j = 0; j < lowerTriangularMatrix[i].Length; j++)
                {
                    lowerTriangularMatrix[i][j] = 'x';
                }
            }
            for (int i = 0; i < N_ROW; i++)
            {
                for (int j = 0; j < lowerTriangularMatrix[i].Length; j++)
                {
                    Console.Write(lowerTriangularMatrix[i][j] + " ");
                }
                Console.WriteLine();
            }
        }
    }
}
