﻿/* 示範一維陣列之宣告與存取
 * 3/10/2007
 */

using System;

namespace ArrayAccess
{
    class Program
    {
        static void Main(string[] args)
        {
            const int N = 6;
            int[] intArray = new int[N];
            for (int i = 0; i < N; i++)
            {
                intArray[i] = i * 10;
            }
            Console.WriteLine("以下列出陣列物件intArray的所有元素值");
            for (int i = 0; i < N; i++)
            {
                Console.WriteLine("intArray[{0}] : {1} ", i, intArray[i]);
            }
            string[] strArray = { "這", "是", "陣列", "測試", "!!" };
            Console.WriteLine("以下列出陣列物件strArray的所有元素值");

            for (int i = 0; i < strArray.Length; i++)
            {
                Console.WriteLine("strArray[{0}] : {1} ", i, strArray[i]);
            }
            Console.WriteLine(
                "陣列strArray的長度為{0},開始索引值為{1}, 結束索引值為{2} \n",
                 strArray.Length,    
                 strArray.GetLowerBound(0),   
                 strArray.GetUpperBound(0));
        }
    }
}
