﻿/*
 * 模擬一張撲克牌
 * 加入函式Dump
 * 3/6/2009
 */

using System;

namespace BlackJack_0_0_5
{
    public enum Suit
    {
        CLUB = 0,
        DIAMOND = 1,
        HEART = 2,
        SPADE = 3
    }

    public struct Card
    {
        public Suit suit;
        public int rank;

        public Card(Suit suit, int rank)
        {
            this.suit = suit;
            this.rank = rank;
        }
        public void Dump()
        {
            string[] ranks = { 
				"A", "2", "3", "4", "5",
                  "6", "7", "8", "9", "10",
                  "J", "Q", "K" };
            switch (suit)
            {
                case Suit.CLUB:
                    Console.Write("c" +
                        ranks[rank - 1]);
                    break;
                case Suit.DIAMOND:
                    Console.Write("d" +
                        ranks[rank - 1]);
                    break;
                case Suit.HEART:
                    Console.Write("h" +
                    ranks[rank - 1]);
                    break;
                case Suit.SPADE:
                    Console.Write("s" +
                    ranks[rank - 1]);
                    break;
                default:
                    break;
            }
        }
    }
}
