﻿/*
 * 繪製正整數數據之長條圖
 * 3/6/2009
 */

using System;

namespace DrawingHistogram
{
    class Histogram
    {
        private int[] data;
        private const int UNIT = 5;
        public Histogram(int[] data)
        {
            this.data = data;
        }
        public void Draw()
        {
            for (int n = 0; n < data.Length; ++n)
            {
                DrawABar(n);
            }
        }
        private void DrawABar( int n )
        {
            Console.Write(n+"\t"+data[n]+"\t");
            for (int m = 0; m < data[n]/UNIT; ++m)
            {
                Console.Write("*");
            }
            Console.WriteLine();
        }
    }
}
